<?php
    
    namespace common\modules\comment\models\interfaces;

    use yii\data\ActiveDataProvider;

    /**
     * Interface CommentInterface
     * @package common\modules\comment\models\interfaces
     */
    interface CommentInterface
    {
        function setEntity(string $entity);
        
        function getEntity(): string;
        
        function setEntityId(int $entityId);
        
        function getEntityId(): int;
        
        static function getTree(string $entity, int $entityId): ActiveDataProvider;
        
    }